@use "@angular/material" as mat;
@import "../../../../styles.scss";

.custom-icon {
  background-color: transparent !important;
  border: none !important;
  color: mat.get-color-from-palette($graphene-ui-primary);
  cursor: pointer;

  mat-icon {
    font-size: 16px !important;
  }
}

.container {
  display: flex;
  flex-direction: column;
  padding: 40px;
  height: 100%;
}

.flex-column {
  display: flex;
  flex-direction: column;
}

.flex-row {
  display: flex;
  flex-direction: row;
}

.select-category {
  display: flex;
  gap: 20px;
  width: 100%;
}

.full-width {
  width: 100%;
}

.license-container {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.upload-file-container {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.mat-form-field-upload-file {
  height: 70px;
  flex-grow: 1;
}

.upload-file-button {
  height: 48px;
}

.tags-container {
  display: flex;
  align-items: center;
}

.flex-grow {
  flex-grow: 1;
}

.buttons-container {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  margin-top: 40px;
  gap: 20px;

  button {
    width: 30%;
  }
}

.single-file {
  width: 20%;
  display: flex;
  padding: 0.5rem;
  align-items: center;
  border: 1px dashed #d5d5d5;
  gap: 8px;

  .name {
    font-size: 14px;
    font-weight: 500;
    margin: 0;
    color: #666;
  }

  /*  .info {
      width: 100%;
    } */
}
.file-image {
  align-self: flex-start;
  border: 1px solid #dbcbe8;
  width: 40px;
  height: 40px;
  padding: 3px;
}

.uploaded-img-des {
  border: 1px solid #dbcbe8;
  padding: 5px;
  font-size: 13px;
  line-height: 16px;
  float: left;
}
.uploaded-img-des > .imagecontainer {
  width: 24px;
  height: 24px;
  margin-right: 10px;
  float: left;
  border: 1px solid #dbcbe8;
  padding: 3px;
}

.file-name {
  gap: 4px;
  color: #666;
  float: left;
  align-items: center;
  a {
    color: #0366d6;
    font-size: 11px;
    cursor: pointer;
  }
}

.upload-text-hint {
  font-size: 14px;
  letter-spacing: 0;
  margin: 0 0 16px;
  line-height: 24px;
  word-break: break-word;
  overflow-wrap: break-word;
  hyphens: auto;
  color: #666;
}

.form-title {
  font-size: 16px;
  text-transform: uppercase;
  font-weight: bold;
  color: mat.get-color-from-palette($graphene-ui-primary);
}

.timeline {
  font-size: 14px;
  font-weight: normal;
  color: mat.get-color-from-palette($graphene-ui-primary);
}

.form-header {
  border-bottom: 1px solid #ddd;
  padding-bottom: 4px;
  margin-bottom: 24px;
}

.image-content {
  width: 74px;
  height: 74px;
  border-radius: 74px;
  float: left;
  position: relative;
  text-align: center;
  line-height: 68px;
}

.image-content-inactive {
  border: 3px solid #fff;
  background-color: #ebebeb;
}

.image-content-active {
  border: 3px solid #009901;
  background-color: #fff;
}

.request-approval-stepper-active {
  border: 3px solid #671c9d;
  background-color: #fff;
}

.model-documentation {
  background-image: url(../../../../assets/images/ico_model_documentation_grey.png);
  background-repeat: no-repeat;
  background-position: center;
}

.model-documentation-active {
  background-image: url(../../../../assets/images/ico-model-documentation-green.png);
  background-repeat: no-repeat;
  background-position: center;
}

.request-approval {
  background-image: url(../../../../assets/images/request_approval.png);
  background-repeat: no-repeat;
  background-position: center;
}

.request-approval-active {
  background-image: url(../../../../assets/images/request_approval_selected.png);
  background-repeat: no-repeat;
  background-position: center;
}

.yet-not-publish {
  background-image: url(../../../../assets/images/cloud.svg);
  background-repeat: no-repeat;
  background-position: center;
}

.stepper {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 20px;
}

.loading-inactive {
  background: url("../../../../assets/images/loading_deactive.png") no-repeat
    left center;
  width: 45px;
  height: 12px;
}

.loading-active {
  background: url("../../../../assets/images/stepper_progress_completed.png")
    no-repeat left center;
  width: 45px;
  height: 12px;
}

.withdraw-request-button {
  background-color: transparent;
  border: 1px solid #671c9d;
  height: 28px !important;
}

.request-approval-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 4px;
}

.buttons-layout {
  margin: 10px;
  gap: 10px;
}

.spacebetween {
}

.description-hint {
  color: #666;
  font-size: 12px;
  font-family: "Open Sans", sans-serif;
  font-weight: 600;
}
.text-medium {
  font-size: 13px !important;
  font-weight: 400;
  line-height: 24px;
  font-family: "Open Sans", sans-serif;
  color: #666;
}

.form-field-label {
  font-size: 14px;
  font-weight: bold;
  color: #671c9d;
  text-decoration: none;
  cursor: pointer;
}

.divider-color {
  color: #dbcbe8;
}

.timeline-entry {
  background: #fff;
  color: #212121;
  display: block;
  width: 18px;
  height: 18px;
  -webkit-background-clip: padding-box;
  background-clip: padding-box;
  -webkit-border-radius: 18px;
  border-radius: 18px;
  text-align: center;
  -webkit-box-shadow: 0 0 0 2px #671c9d;
  box-shadow: 0 0 0 2px #671c9d;
  line-height: 18px;
  font-size: 12px;
  float: left;
}

.step-container {
  display: flex;
  flex-direction: row;
  gap: 20px;
}

.timeline-container {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.full-height {
  height: 100%;
}

.horizontal-divider {
  margin-left: 6px;
  margin-top: 30px;
  margin-bottom: 40px;
}

.form-fields-layout {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.completed-step {
  background: url("../../../../assets/images/validate_icon.png") no-repeat;
  background-repeat: no-repeat;
  background-position: center;
  width: 19px;
  height: 22px;
}
